---@meta

---@class IBPI_Vehicle_C : IInterface
local IBPI_Vehicle_C = {}

---@param Time double
---@param Boost double
---@param Success boolean
function IBPI_Vehicle_C:AddFuel(Time, Boost, Success) end
---@param Wheel UVehicle_Wheel_C
---@param Success boolean
---@param WheelTag FGameplayTag
function IBPI_Vehicle_C:GetWheelTag(Wheel, Success, WheelTag) end
---@param DamageToRepair FST_Damage_Results
---@param Success boolean
function IBPI_Vehicle_C:RepairDamage(DamageToRepair, Success) end
---@param SocketName FName
---@param Success boolean
function IBPI_Vehicle_C:RepairShield(SocketName, Success) end


